Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159369 - VFS: Cannot open root device "<NULL>" when installing
Summary: VFS: Cannot open root device "<NULL>" when installing
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-02 00:05 UTC by Jay Hilliard
Modified: 2012-06-20 13:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 13:30:36 UTC


Attachments (Terms of Use)

Description Jay Hilliard 2005-06-02 00:05:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040616

Description of problem:
my pxelinux.cfg:

default linux
display boot-RHEL4_64.msg
label linux
  kernel vmlinuz-RHEL4_64
  append ksdevice=eth0 initrd=initrd-RHEL4_64.img devfs=nomount ramdisk_size=32768 ks=nfs:beano:/export/lair/RHEL4_64/ks.cfg network swiotlb=16384 mem=4000M text acpi=off apm=off usb-handoff

I've tried without all the options after "network".  None of them seem to help.

I also get these errors
 <7> Losing some ticks... checking if CPU frequency changed.
warning: many lost ticks.
Your time source seems to be instable or some driver is hogging interupts
rip handle_IRQ_event+0x21/0x55

This is an HP xw8200 with LSI scsi built-in.  I upgraded the firmware.
I was able to install the x86 version of this same distribution without problems (RHEL4 U1 beta for x86) on this same system.



Version-Release number of selected component (if applicable):
x86_64 RHEL4 Update1 beta

How reproducible:
Always

Steps to Reproduce:
1. pxe boot to install over nfs
2.
3.
  

Actual Results:  md: --- autorun DONE.
VFS: Cannot open root device "<NULL>" or unknown-block(3,2)
Please append a correct "root=" boot option
Kernel panic - not syncing: VFS: Unable to mouint root fs on unknown-block(3,2)
 <7> Losing some ticks... checking if CPU frequency changed.
warning: many lost ticks.
Your time source seems to be instable or some driver is hogging interupts
rip handle_IRQ_event+0x21/0x55

Expected Results:  anaconda starts it's install

Additional info:

I installed x86, fine after this problem, then went back to x86_64 and had the problem again.
Don't charge me for this. I'm evaluating redhat workstation and am submitting this problem as a courtesy!

Comment 1 Jay Hilliard 2005-06-02 00:17:50 UTC
I just tried the pxe vmlinuz and initrd from RHEL4 (not the update beta) and got
the same results.

Comment 5 Yan-Fa Li 2005-12-01 02:35:20 UTC
This URL has a potential workaround for an ISO based install.  What's causing it
is a mystery.  I was able to load FC4 which already had a FC3 installation on a
dual processor Opteron after trying this out.

http://kerneltrap.org/node/4746

Comment 8 Jiri Pallich 2012-06-20 13:30:36 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.